Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.net
Interface ConnectionFilter

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  ConnectionFilterRulesListener

All Known Implementing Classes:
  ConnectionFilterImpl

    public interface ConnectionFilter

extends EventListener

Connection filter interface. The server uses this interface to determine whether incoming connections from clients should be allowed.

To program the server to perform connection filtering, set the `weblogic.security.net.connectionFilter` property to the name of a class that implements this interface. The class that implements this interface must have a public no-arg constructor.

The connection filter is not called immediately when a client connects to the server. Rather, it is called after the client has sent enough bytes for the server to determine what protocol the client is using. The login timeout and protocol mechanisms will deal correctly with clients that do not send enough bytes to determine the client's protocol.

Method Summary
`void` | `accept(ConnectionEvent evt)` Accept or deny an incoming connection from a client.

Method Detail

### accept

    void accept(ConnectionEvent evt)
                throws FilterException

  Accept or deny an incoming connection from a client. If the connection is to be accepted, this method returns normally. Otherwise, it throws a FilterException, which may describe why the client's connection was rejected.

  Parameters:
    `evt` - the connection event describing a connection to filter
  Throws:
    `FilterException` - thrown if the client's connection is to be rejected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD